Name:       ibus-indic-table
Version:    1.3.1
Release:    22%{?dist}
Summary:    The Table engine for IBus platform
License:    LGPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://fedorapeople.org/~nkumar/ibus-indic-table/ibus-indic-table-1.3.1/%{name}-%{version}.tar.gz
Patch0:	    i-i-t-683739.patch
Patch1:	    bug-703124.patch
Patch2:     bug-683826-683743.patch
Patch3:     bug-741176.patch
Patch4:     bug-741176-minor-symbol.patch
Patch5:     bug-742852.patch
Patch6:	    bug-683749.patch
Patch7:     bug-684118.patch
Patch8:	    bug-684118-template.patch
Patch9:	    bug-684118-inscript.patch
Patch10:    bug-684118-capscase.patch
Patch11:    bug-743502.patch
Patch12:    bug-750735.patch
Patch13:    bug-750730.patch
Patch14:    bug-750727.patch
Patch15:    bug-759356-759354.patch
Patch16:    bug-770032-770033.patch
Patch17:    bug-770713.patch
Patch18:    bug-683740.patch
Patch19:    bug-help.patch
Requires:       ibus
BuildRequires:  ibus-devel
BuildArch:  noarch

%description
The Indic Table engine for IBus platform.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .2-reduced-limit-for-query
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1

%build
%configure --disable-static --disable-additional
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install pkgconfigdir=%{_datadir}/pkgconfig

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/%{name}
%{_datadir}/ibus/component/indic-table.xml
%{_bindir}/%{name}-createdb
%{_libexecdir}/ibus-engine-indic-table
%{_datadir}/pkgconfig/%{name}.pc

%changelog
* Tue Jan 02 2012 Anish Patil <apatil@redhat.com> - 1.3.1-22
- Fixed bug-help.patch

* Tue Jan 02 2012 Anish Patil <apatil@redhat.com> - 1.3.1-21
- Fixed bug-683740.patch

* Mon Jan 01 2012 Anish Patil <apatil@redhat.com> - 1.3.1-20
- Fixed bug-770713.patch

* Mon Dec 26 2011 Anish Patil <apatil@redhat.com> - 1.3.1-19
- Fixed bug-770032-770033.patch

* Wed Dec 07 2011 Anish Patil <apatil@redhat.com> - 1.3.1-18
- Fixed bug-759356-759354.patch

* Mon Dec 05 2011 Anish Patil <apatil@redhat.com> - 1.3.1-17
- Fixed the bug-750727.patch

* Mon Nov 21 2011 Anish Patil <apatil@redhat.com> - 1.3.1-16
- Fixed the bug-750730.patch

* Thu Nov 10 2011 Anish Patil <apatil@redhat.com> - 1.3.1-15
- Fixed the #bug-750735.patch

* Thu Oct 19 2011 Anish Patil <apatil@redhat.com> - 1.3.1-14
- Fixed the #bug-743502.patch

* Thu Oct 19 2011 Anish Patil <apatil@redhat.com> - 1.3.1-13
- Fixed the #bug-684118-capscase.patch

* Thu Oct 18 2011 Anish Patil <apatil@redhat.com> - 1.3.1-12
- Fixed the #bug-684118-inscript.patch

* Thu Oct 17 2011 Anish Patil <apatil@redhat.com> - 1.3.1-11
- Fixed the #bug-684118-template.patch

* Thu Oct 13 2011 Anish Patil <apatil@redhat.com> - 1.3.1-10
- Fixed the bug #684118

* Mon Oct 05 2011 Anish Patil <apatil@redhat.com> - 1.3.1-9
- Fixed the bug 683749

* Mon Oct 03 2011 Anish Patil <apatil@redhat.com> - 1.3.1-8
- Fixed the bug 742852

* Fri Sep 30 2011 Anish Patil <apatil@redhat.com> - 1.3.1-7
- Added patch in spec file 

* Fri Sep 30 2011 Anish Patil <apatil@redhat.com> - 1.3.1-6
- Resolves bug #741176 added unicode support for localized string 
 
* Mon Sep 26 2011 Anish Patil <apatil@redhat.com> - 1.3.1-5
- reolves bug #741176

* Wed Sep 21 2011 Anish Patil <apatil@redhat.com> - 1.3.1-4
- reolves bug #683826 and #683743

* Mon May 09 2011 Pravin Satpute <psatpute@redhat.com> - 1.3.1-3
- reolves bug #703124

* Wed Mar 16 2011 Naveen Kumar <nav007@gmail.com> - 1.3.1-2
- reolves bug #683739
- apply patch i-i-t-683739.patch

* Tue Mar 8 2011 Naveen Kumar <nav007@gmail.com> - 1.3.1-1
- new upstream release

* Fri Mar 4 2011 Naveen Kumar <nav007@gmail.com> - 1.3.0-2
- changes in upstream source with respect to file permissions & version info
- removed date suffix to conform to new style of packaging ibus-engines

* Wed Mar 2 2011 Naveen Kumar <nav007@gmail.com> - 1.3.0-1
- The first version.
- derieved from ibus-table developed by Yu Yuwei <acevery@gmail.com>
